# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "changepacks"
version = "0.2.11"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
default-run = "changepacks"
description = "A unified version management and changelog tool for multi-language projects"
readme = "README.md"
license = "Apache-2.0"

[[bin]]
name = "changepacks"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.changepacks-cli]
version = "^0.2.13"

[dependencies.tokio]
version = "1.48"
features = [
    "rt-multi-thread",
    "macros",
]

[target."cfg(windows)".build-dependencies.embed-manifest]
version = "1.5"
